<?php

declare(strict_types=1);

namespace App\UI\DTO;

class FilterDTO
{
    /**
     * @param array<string, mixed> $filters
     */
    public function __construct(public readonly array $filters = [])
    {
    }

    /**
     * @param array<string, mixed>|null $data
     * @param array<int, string> $acceptFilters
     * @return FilterDTO
     */
    public static function createFromData(?array $data, array $acceptFilters = []): FilterDTO
    {
        if ($data === null) {
            return new self([]);
        }

        $result = array_intersect_key($data, array_flip($acceptFilters));

        return new self($result);
    }
}
