<?php

declare(strict_types=1);

namespace App\UI\Form;

use Nette\Application\UI\Form;
use Nette\Localization\Translator;

class ResultFilteringFactory
{
    public function __construct(
        private readonly Translator $translator,
    ) {
    }
    public function create(): Form
    {
        $form = new Form();

        $form->setTranslator($this->translator);

        $form->addText('name', 'survey.name');

        $form->addTextArea('comments', 'survey.comments');

        $form->addMultiSelect('interest', 'survey.interests', [
            'sport' => 'survey.interests.sport',
            'music' => 'survey.interests.music',
            'travel' => 'survey.interests.travel',
        ]);

        $form->addSubmit('send', 'survey.search');
        return $form;
    }
}
